Module javafx.graphics
Package javafx.scene.shape

# Enum Class DrawMode

java.lang.Object
java.lang.Enum<DrawMode>
javafx.scene.shape.DrawMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DrawMode>`, `Constable`

public enum DrawMode extends Enum<DrawMode>
Defines how the polygon is drawn when use with `Shape3D.drawMode`

Since:
  JavaFX 8.0
See Also:
  - `Shape3D.drawModeProperty()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILL`
Render polygonal primitives by filling the interior of the polygon.
`LINE`
Render polygonal primitives as lines drawn between consecutive vertices of the polygon.

## Method Summary

Modifier and Type
Method
Description
`static DrawMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DrawMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINE

public static final DrawMode LINE
Render polygonal primitives as lines drawn between consecutive vertices of the polygon.

### FILL

public static final DrawMode FILL
Render polygonal primitives by filling the interior of the polygon.

## Method Details

### values

public static DrawMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DrawMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null